<div class="flex flex-col w-full h-full place-content-center items-center bg-local" style="background-image: url('assets/images/bgg.jpg');
background-repeat: no-repeat; width: 100%; height: 100%;">

  <div
    class="sm:w-2/4 md:w-1/3 lg:w-1/3 px-10 pr-25 pl-25 pt-5 pb-15 bg-gradient-to-r from-sky-100 to-indigo-100 shadow-2xl drop-shadow-xl rounded-lg opacity-90">
    <div class="flex flex-col">

      <div>
        <img class="mx-auto sm:w-1/4 md:w-1/4 lg:w-2/5" src="assets/images/logo/login.png" alt="Smart COC">
      </div>
      <div class="mt-10 sm:mx-auto sm:w-full sm:max-w-sm">
        <form class="space-y-6" method="POST" [formGroup]="signInForm" #signInNgForm="ngForm">
          <div>
            <div class="mt-2">
              <mat-form-field class="w-full">
                <mat-label>ชื่อผู้ใช้งาน</mat-label>
                <input id="username" matInput [formControlName]="'username'">
                <mat-error *ngIf="signInForm.get('username').hasError('required')">
                  ระบุชื่อผู้ใช้งาน Username
                </mat-error>

              </mat-form-field>

            </div>
          </div>

          <div class="mt-1">
            <mat-form-field class="w-full">
              <mat-label>รหัสผ่าน</mat-label>
              <input id="password" matInput type="password" [formControlName]="'password'" #passwordField>
              <button mat-icon-button type="button"
                (click)="passwordField.type === 'password' ? passwordField.type = 'text' : passwordField.type = 'password'"
                matSuffix>
                <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'password'"
                  [svgIcon]="'heroicons_solid:eye'"></mat-icon>
                <mat-icon class="icon-size-5" *ngIf="passwordField.type === 'text'"
                  [svgIcon]="'heroicons_solid:eye-off'"></mat-icon>
              </button>
              <mat-error>
                ระบุรหัสผ่าน Password
              </mat-error>
            </mat-form-field>
          </div>

          <div class="flex justify-center">
          <button
            class="w-2/3 p-2 h-12 ripple opacity-100 rounded-full bg-gradient-to-r from-indigo-500 via-purple-500 to-pink-500 hover:bg-gradient-to-l from-indigo-800 via-purple-800 text-2xl leading-6 text-white text-center  focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600"
            mat-flat-button [disabled]="signInForm.disabled" (click)="signIn()">
            <mat-icon *ngIf="!signInForm.disabled" svgIcon="heroicons_outline:lock-closed"></mat-icon>
            <span *ngIf="!signInForm.disabled" class="text-base">
              เข้าใช้งานระบบ
            </span>
            <div class="flex flex-row">
            <mat-progress-spinner *ngIf="signInForm.disabled" [diameter]="24"
              [mode]="'indeterminate'"></mat-progress-spinner>
              <span *ngIf="signInForm.disabled" class="text-base">
                กำลังเข้าสู่ระบบ
              </span>
            </div>
          </button>
          </div>

          <!-- <div>
                <button type="submit" class="w-full h-12 ripple opacity-100 rounded-full bg-gradient-to-r from-indigo-500 via-purple-500 to-pink-500 hover:bg-gradient-to-l from-indigo-800 via-purple-800 text-2xl leading-6 text-white text-center  focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-indigo-600">Login Now</button>
            </div> -->
        </form>

      </div>
    </div>

  </div>
</div>